﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using C1.WPF.C1Chart;

namespace Wpf_Chart_CustomSymbol
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void DataSeries_PlotElementLoaded(object sender, EventArgs e)
        {
            PlotElement pe = (PlotElement)sender;

            if (!(pe is Lines)) // skip lines
            {
                DataPoint dp = pe.DataPoint;
                pe.Stroke = Brushes.Transparent;
                if (dp.Value <= 20)
                {
                    pe.Fill = new ImageBrush(new BitmapImage(new Uri("pack://application:,,,/Images/sad.jpg")));
                }
                else if (dp.Value > 20)
                {
                    pe.Fill = new ImageBrush(new BitmapImage(new Uri("pack://application:,,,/Images/happy.jpg")));
                }
            }
        }
    }
}
